#!/usr/bin/env python3
"""
Generate a random IPv6 address for a specified subnet
"""

from random import seed, getrandbits
from ipaddress import IPv6Network, IPv6Address

from random import randint

def generate_ip(subnet, prefix):
    thingy = subnet + prefix

    seed()
    network = IPv6Network(thingy)
    address = IPv6Address(network.network_address + getrandbits(network.max_prefixlen - network.prefixlen))

    return address

def generate_port():
    port = randint(1025, 65535)
    return str(port)

def lowercase(input):
    output = input.lower()
    return output

def uppercase(input):
    output = input.upper()
    return output

def random_num(min, max):
    min = int(min)
    max = int(max)
    output = randint(min, max)
    return output
